/* This tool suite was written by and is copyrighted by Brad Powell, Matt */
/* Archibald, and Dan Farmer 1999, 2000                                   */
/* The copyright holder disclaims all responsibility or liability with    */ 
/* respect to its usage or its effect upon hardware or computer           */ 
/* systems, and maintains copyright as set out in the "LICENSE"           */  
/* document which accompanies distribution.                               */ 
/* Titan version 3.0.7 April 25 11:21:02 PDT 1999                         */

#include <syslog.h>
#include <unistd.h>
#include <signal.h>
 
#ifndef lint 
static char sccsid[] = "@(#)noshell.c  bpowell-  Titan 3.0.7 5/11/99";
#endif /* not lint */ 

#define perrorexit(s) { perror(s); exit(1); }

main(int argc, char **argv)
{
extern char **environ;
int     i;

/*
 * Fix the environment.
 */
if (environ != 0)
    environ[0] = 0;

/*
 * Fix the signals.
 */
for (i = 1; i < NSIG; i++)
    (void) signal(i, SIG_IGN);

/*
 * Log the login attempt.
 */
openlog(argv[0], LOG_PID, LOG_AUTH);
syslog(LOG_AUTH, "Titan warning: user %d login from a disabled shell", getuid());
exit(0);
}

